/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
int setarrayfunc(int n, int (*f[])(int num)) {
  int i;

  for(i=0; i<n; i++) { /* call functions in the array */
    f[i](i);
  } 

  return 0;
}
